Loading...
Searching...
No Matches
uhd::rfnoc::tune_request_action_info Struct Reference

Action object for graph-based tuning. More...

`#include <uhd/rfnoc/actions.hpp>`

Inheritance diagram for uhd::rfnoc::tune_request_action_info:
[legend]
Collaboration diagram for uhd::rfnoc::tune_request_action_info:
[legend]

## Public Types

using | sptr = std::shared_ptr<tune_request_action_info>
Public Types inherited from uhd::rfnoc::action_info
using | sptr = std::shared_ptr<action_info>

## Static Public Member Functions

static sptr | make (const uhd::tune_request_t tune_request)
| Factory function.
Static Public Member Functions inherited from uhd::rfnoc::action_info
static sptr | make (const std::string &key="", const uhd::device_addr_t &args=uhd::device_addr_t(""))
| Factory function.

## Public Attributes

uhd::tune_request_t | tune_request
uhd::time_spec_t | time_spec
uhd::tune_result_t | tune_result
uhd::freq_range_t | dsp_range
uhd::freq_range_t | rf_range
uhd::freq_range_t | overall_freq_range
Public Attributes inherited from uhd::rfnoc::action_info
const size_t | id
| A unique counter for this action.
std::string | key
| A string identifier for this action.
std::vector< uint8_t > | payload
| An arbitrary payload. It is up to consumers and producers to.
uhd::device_addr_t | args
| A dictionary of key-value pairs. May be used as desired.

## Additional Inherited Members

Public Member Functions inherited from uhd::rfnoc::action_info
virtual | ~action_info ()
Protected Member Functions inherited from uhd::rfnoc::action_info
| action_info (const std::string &key, const uhd::device_addr_t &args=uhd::device_addr_t(""))

## Detailed Description

Action object for graph-based tuning.

## Member Typedef Documentation

## sptr

using uhd::rfnoc::tune_request_action_info::sptr = std::shared_ptr<tune_request_action_info>

## Member Function Documentation

## make()

sptr uhd::rfnoc::tune_request_action_info::make | ( | const uhd::tune_request_t | tune_request | ) |

static

Factory function.

## Member Data Documentation

## dsp_range

uhd::freq_range_t uhd::rfnoc::tune_request_action_info::dsp_range

## overall_freq_range

uhd::freq_range_t uhd::rfnoc::tune_request_action_info::overall_freq_range

## rf_range

uhd::freq_range_t uhd::rfnoc::tune_request_action_info::rf_range

## time_spec

uhd::time_spec_t uhd::rfnoc::tune_request_action_info::time_spec

## tune_request

uhd::tune_request_t uhd::rfnoc::tune_request_action_info::tune_request

## tune_result

uhd::tune_result_t uhd::rfnoc::tune_request_action_info::tune_result

The documentation for this struct was generated from the following file:

- actions.hpp